about 0.12 release

Asked by Morgany Vieira Mendes on 2010-06-19

Is there some plan to put trac 0.12 release available as a Ubuntu package?

Question information

Log a bug stating what bug fixes the new version gives. If they are significant then it will be fast tracked but it will be included in due course with package revision.

If you want trac 0.12 you can run this:

sudo add-apt-repository ppa:cprov/ppa; sudo apt-get update; sudo apt-get upgrade

That PPA has trac 0.12 on it.

Thanks, Celso.
But, after

sudo add-apt-repository ppa:cprov/ppa; sudo apt-get update; sudo apt-get upgrade

I tried
sudo apt-get install trac

So, I've got this message:

...
Setting up trac (0.12.1~ppa2) ...
cd: 21: can't cd to /usr/lib/python*/site-packages/trac/htdocs/js
dpkg: error processing trac (--configure):
 subprocess installed post-installation script returned error exit status 2
Processing triggers for python-support ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-central ...
Errors were encountered while processing:
 trac
E: Sub-process /usr/bin/dpkg returned an error code (1)

I tried in two ubuntu installations and got the same message.

if you do
sudo ln -s /usr/lib/python2.6/dist-packages /usr/lib/python2.6/site-packages

the cprov/ppa version should install.

Tested on a clean install of 10.04

Can you help with this problem?

Provide an answer of your own, or ask Morgany Vieira Mendes for more information if necessary.

To post a message you must log in.